Page MenuHomePhabricator

Deploy Growth features on Persian Wikipedia
Closed, ResolvedPublic

Description

First

Translations

Help panel

  • Help desk: Q11059110, Q5621643 or Q16503
  • Archiving system: (describe how it works: Flow, archived once a month, archived after 30 days of inactivity, manually archived...)
  • Help pages (you can provide either a Wikidata link or a link to your wiki):
  • Search on namespace: 4 "Wikipedia" and 12 "Help" (default)
  • Read more : Q914807

Homepage

Suggested edits

Maintenance templatesLearn more
Update articleQ5617874Q4664141
Add ReferencesQ5962027 (or Q6192879)Q79951 (or Q642335)
Add LinksQ13107723 (or Q5849007)Q27919580 (or Q75275496)
Expand articleQ5529697 (or Q5623589)Q10973854 (or Q4663261)
Copyedit articleQ6292692Q10953805

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I'm checking on the current state of this task. Anything I can help you with?

Change 600317 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/GrowthExperiments@master] Add Persian aliases

https://gerrit.wikimedia.org/r/600317

okay, let's get this patch merged and deployed, once it's there, we can enable it in production. What do you think?

Change 600319 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] labs: Enable GrowthExperiments in Persian Wikipedia (beta only)

https://gerrit.wikimedia.org/r/600319

Change 600319 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Enable GrowthExperiments in Persian Wikipedia (beta only)

https://gerrit.wikimedia.org/r/600319

Change 600317 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Persian aliases

https://gerrit.wikimedia.org/r/600317

Okay, it's deployed in beta cluster. The only thing I haven't figured out yet is the configuration for suggested edits. I think "morelike" would work for now but I get this error in my console when trying it in my homepage:
Unable to load topic data for suggested edits: The configuration title does not exist.
After refresh, the whole thing is gone now :(

@Ladsgroup I think you can use ores, the articletopic keyword is enabled on fawiki. I can look later (or Tuesday at latest) for a specific config snippet for you.

Change 600335 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] beta: Add Persian to suggested edits

https://gerrit.wikimedia.org/r/600335

Mentioned in SAL (#wikimedia-releng) [2020-05-30T13:18:39Z] <Amir1> ladsgroup@deployment-deploy01:/srv/mediawiki/php-master$ mwscript maintenance/createAndPromote.php --wiki=fawiki --bureaucrat --force --interface-admin --sysop Ladsgroup (Part of T253291)

I added the patch to make it use ores but also the problem was that the configuration pages don't exit yet. I created one but I will add more later.

I still don't see the suggested edits section in beta cluster while database says I have it enabled:

MariaDB [fawiki]> select * from user_properties where up_user = 35 and up_property = 'growthexperiments-homepage-suggestededits-activated';
+---------+-----------------------------------------------------+----------+
| up_user | up_property                                         | up_value |
+---------+-----------------------------------------------------+----------+
|      35 | growthexperiments-homepage-suggestededits-activated | 1        |
+---------+-----------------------------------------------------+----------+
1 row in set (0.00 sec)

Maybe because there's not much articles in beta cluster? I didn't even get a form to choose what topics.

Maybe because there's not much articles in beta cluster? I didn't even get a form to choose what topics.

If it is like on test wiki, you miss templates on articles.

Oh thanks. Done now. I wrote a quick and horrible script to generate this for any new language you want to deploy too. The code is

1# Run as python3 file.py fa
2import requests
3import sys
4import json
5
6r = requests.get('https://cs.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json?action=raw')
7cs_case = r.json()
8result = {}
9lang = sys.argv[1]
10for type_ in cs_case:
11 result[type_] = cs_case[type_]
12 if 'templates' not in cs_case[type_]:
13 continue
14 templates = []
15 url = 'https://cs.wikipedia.org/w/api.php?action=query&prop=langlinks&titles=Template:{0}&lllang={1}&format=json'.format(
16 '|Template:'.join(cs_case[type_]['templates']), lang
17 )
18 query_result = requests.get(url).json()
19 if 'query' not in query_result:
20 continue
21 for page_id in query_result['query']['pages']:
22 if not query_result['query']['pages'][page_id].get('langlinks'):
23 continue
24 else:
25 templates.append(':'.join(query_result['query']['pages'][page_id]['langlinks'][0]['*'].split(':')[1:]))
26 result[type_]['templates'] = templates
27
28print(json.dumps(result, indent='\t', ensure_ascii=False))

You can run it as 'python3 file.py en' and the result will be:

{
	"copyedit": {
		"group": "easy",
		"templates": [
			"Who",
			"When",
			"By whom",
			"POV",
			"Copy edit",
			"Advert"
		]
	},
	"references": {
		"group": "medium",
		"templates": [
			"Citation needed",
			"Unreferenced"
		],
		"learnmore": "Nápověda:Reference ve Vizuálním editoru"
	},
	"update": {
		"group": "medium",
		"templates": [
			"Update"
		]
	},
	"expand": {
		"group": "hard",
		"templates": [
			"Expand section"
		]
	},
	"links": {
		"group": "easy",
		"templates": [
			"Wikify"
		],
		"learnmore": "Nápověda:Odkazy ve Vizuálním editoru"
	}
}

It's not perfect but it's less tedious :D

Thanks @Ladsgroup. I started working on something similar in the GrowthExperiments repo: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/565698

Ladsgroup updated the task description. (Show Details)Jun 4 2020, 9:19 PM

I assume it's good to go now? Shall we deploy soon?

Change 600335 merged by jenkins-bot:
[operations/mediawiki-config@master] beta: Add Persian to suggested edits

https://gerrit.wikimedia.org/r/600335

@Ladsgroup -- thank you for getting this all set up! We are just confirming that deploying this feature lines up with typical data retention practices for Persian Wikipedia. We'll let you know when it's time to SWAT this on.

In the meantime, I want to make sure everything looks good on Persian beta for you. I just tried things out there, and the homepage seemed to work fine, but I didn't receive the help panel when I clicked edit on an article. Do you see the help panel on your end?

@Ladsgroup -- thank you for getting this all set up! We are just confirming that deploying this feature lines up with typical data retention practices for Persian Wikipedia. We'll let you know when it's time to SWAT this on.

Cool, let me know!

In the meantime, I want to make sure everything looks good on Persian beta for you. I just tried things out there, and the homepage seemed to work fine, but I didn't receive the help panel when I clicked edit on an article. Do you see the help panel on your end?

I tried to take a look and see what's missing but I struggle to find it atm. I don't see the link to help panel either but I can't see it on English Wikipedia (in beta) too, tried it on cswiki in production as well. Do you have an example on a case that works in another wiki? Thanks!

I'm so excited!

MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 8 2020, 3:27 AM

I tried to take a look and see what's missing but I struggle to find it atm. I don't see the link to help panel either but I can't see it on English Wikipedia (in beta) too, tried it on cswiki in production as well. Do you have an example on a case that works in another wiki? Thanks!

I don't have the Help panel on fa.Beta either, even if enabled in preferences. I have it on en.Beta.

@Catrope, can you have a look at it?

I'm so excited!

We totally share this feeling. :)

It seems this page didn't exist: https://fa.wikipedia.beta.wmflabs.org/wiki/%D9%88%DB%8C%DA%A9%DB%8C%E2%80%8C%D9%BE%D8%AF%DB%8C%D8%A7:%D9%85%D8%B1%D8%A8%DB%8C%D8%A7%D9%86 (list of mentors)

Added myself but still couldn't see it, I took my test user using Special:ClaimMentee and now I can see it.

Is it normal? Should mentors actively take a mentee to see it?

@Ladsgroup mentors are assigned during user registration, so yes, existing users would need to use Special:ClaimMentee in order to see the mentorship module.

I tried to take a look and see what's missing but I struggle to find it atm. I don't see the link to help panel either but I can't see it on English Wikipedia (in beta) too, tried it on cswiki in production as well. Do you have an example on a case that works in another wiki? Thanks!

I don't have the Help panel on fa.Beta either, even if enabled in preferences. I have it on en.Beta.

@Catrope, can you have a look at it?

I'm so excited!

We totally share this feeling. :)

The help desk title needs to exist, I just created it: https://fa.wikipedia.beta.wmflabs.org/wiki/%D9%88%DB%8C%DA%A9%DB%8C%E2%80%8C%D9%BE%D8%AF%DB%8C%D8%A7:%D8%AF%D8%B1%D8%AE%D9%88%D8%A7%D8%B3%D8%AA_%D8%B1%D8%A7%D9%87%D9%86%D9%85%D8%A7%DB%8C%DB%8C

Any update about this task?

Any update about this task?

On our side, it's good to go. We tested it extensively on beta. A minor note. Someone reported the pictures on the card are sometimes weird:

(I assume we don't have AI power to find the important part of picture and crop using that?)

I can deploy once the team gives the green light ^_^

@Ladsgroup -- thanks for the update. We did make some improvements to the "important part of picture" issue in T244210, but there may be more that can be done in the future with computer vision via T240034. We don't have the green light yet, but I will let you know.

Trizek-WMF reassigned this task from Ladsgroup to Catrope.Jun 17 2020, 12:14 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF moved this task from In Progress to Code Review on the Growth-Team (Current Sprint) board.

I'm moving the task for code review, assigning to Catrope who volunteers.

I removed the translation of the privacy statement from the task description since it is not mandatory.

I'm moving the task for code review, assigning to Catrope who volunteers.

I removed the translation of the privacy statement from the task description since it is not mandatory.

Is there a patch to enable this in production fawiki? I don't see one.

We decided that Growth engineers will write and deploy the patch that turns this on in production, and it is in this column waiting for the green light, which I will put on here when I have it.

MMiller_WMF added a subscriber: Tgr.

@kostajh @Tgr @Catrope -- we now have the green light to deploy to Persian Wikipedia. This is ready to deploy at any point, and should be given the same experiment setup as the rest of our wikis (80% of newcomers have the Growth features; 20% do not). We should not deploy EditorJourney to this wiki.

@Ladsgroup -- FYI this deployment will likely happen next week, and we'll keep you posted here.

@Catrope is going to write the config change to turn this on this week and will post on here in advance of the deployment.

Change 609885 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add Persian to language list

https://gerrit.wikimedia.org/r/609885

Change 609893 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable GrowthExperiments on Persian Wikipedia

https://gerrit.wikimedia.org/r/609893

The translations are pretty close to complete, except for suggested edits. 70 messages are missing translations, and most of them are related to suggested edits, but a handful are not:

1>> The "fa" translation has 70 missing translations:
2>> The translation of "growthexperiments-help-panel-return-home-button-text" is missing.
3>> The translation of "growthexperiments-help-panel-postedit-success-message-published" is missing.
4>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-value" is missing.
5>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-value" is missing.
6>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-calm" is missing.
7>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-graphic-calm" is missing.
8>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-rules1" is missing.
9>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-rules1" is missing.
10>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-rules2" is missing.
11>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-rules2" is missing.
12>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-text-rules2" is missing.
13>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-step1" is missing.
14>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-copyedit-main-step1" is missing.
15>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-publish" is missing.
16>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-copyedit-main-publish" is missing.
17>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-text-publish" is missing.
18>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-value" is missing.
19>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-value" is missing.
20>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-calm" is missing.
21>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-rules1" is missing.
22>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-rules1" is missing.
23>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-text-rules1" is missing.
24>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-step1" is missing.
25>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-step1" is missing.
26>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-step1" is missing.
27>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-step2" is missing.
28>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-step2" is missing.
29>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-publish" is missing.
30>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-publish" is missing.
31>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-text-publish" is missing.
32>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-value" is missing.
33>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-example-value" is missing.
34>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-text-value" is missing.
35>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-calm" is missing.
36>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-rules1" is missing.
37>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step1" is missing.
38>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-step1" is missing.
39>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step2" is missing.
40>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step3" is missing.
41>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-step3" is missing.
42>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-publish" is missing.
43>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-publish" is missing.
44>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-text-publish" is missing.
45>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-value" is missing.
46>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-example-value" is missing.
47>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-calm" is missing.
48>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-rules1" is missing.
49>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step1" is missing.
50>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-update-main-step1" is missing.
51>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step2" is missing.
52>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step2-no-link" is missing.
53>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-publish" is missing.
54>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-update-main-publish" is missing.
55>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-text-publish" is missing.
56>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-value" is missing.
57>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-calm" is missing.
58>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-rules1" is missing.
59>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step1" is missing.
60>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-expand-main-step1" is missing.
61>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step2" is missing.
62>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step2-no-link" is missing.
63>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-publish" is missing.
64>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-expand-main-publish" is missing.
65>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-text-publish" is missing.
66>> The translation of "growthexperiments-help-panel-general-help-title" is missing.
67>> The translation of "growthexperiments-help-panel-suggested-edits-faq-link-text" is missing.
68>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-visualeditor" is missing.
69>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-visualeditor-link-text" is missing.
70>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-wikitext" is missing.
71>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-wikitext-link-text" is missing.

(a couple of these are optional, but most aren't)

Translation of the documentation pages on mediawiki.org is 27% complete (one page is 97% translated, one page 11%, the other two 0%).

For the help desk page (pages where help panel questions are directed) three options were listed, I chose ویکی‌پدیا:پرسش‌ها because that seemed the most appropriate, but correct me if you'd like to use a different one.

The help panel links need link captions. I tried to guess them by using the name of each page, but since I can't speak Farsi that probably wouldn't work too well. Here's what the list would look like with the config as I wrote it; @Ladsgroup please let me know what the correct link captions should be.

MMiller_WMF added a comment.EditedJul 7 2020, 3:48 AM

Thanks for noticing these things, @Catrope.

@Ladsgroup -- regarding translations, we deployed a new feature (guidance for suggested edits) three weeks ago that has a lot of new messages. I recommend that someone in your community translate these before we deploy. Do you think that could happen soon?

It is okay to deploy before the documentation pages are translated. Those get relatively few views.

Thanks for noticing these things, @Catrope.

@Ladsgroup -- regarding translations, we deployed a new feature (guidance for suggested edits) three weeks ago that has a lot of new messages. I recommend that someone in your community translate these before we deploy. Do you think that could happen soon?

Sure thing. I make a new request in the WP:VP. It should get done quickly.

The translations are pretty close to complete, except for suggested edits. 70 messages are missing translations, and most of them are related to suggested edits, but a handful are not:

1>> The "fa" translation has 70 missing translations:
2>> The translation of "growthexperiments-help-panel-return-home-button-text" is missing.
3>> The translation of "growthexperiments-help-panel-postedit-success-message-published" is missing.
4>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-value" is missing.
5>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-value" is missing.
6>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-calm" is missing.
7>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-graphic-calm" is missing.
8>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-rules1" is missing.
9>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-rules1" is missing.
10>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-rules2" is missing.
11>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-example-rules2" is missing.
12>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-text-rules2" is missing.
13>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-step1" is missing.
14>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-copyedit-main-step1" is missing.
15>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-main-publish" is missing.
16>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-copyedit-main-publish" is missing.
17>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-copyedit-text-publish" is missing.
18>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-value" is missing.
19>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-value" is missing.
20>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-calm" is missing.
21>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-rules1" is missing.
22>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-rules1" is missing.
23>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-text-rules1" is missing.
24>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-step1" is missing.
25>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-step1" is missing.
26>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-example-step1" is missing.
27>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-step2" is missing.
28>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-step2" is missing.
29>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-main-publish" is missing.
30>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-links-main-publish" is missing.
31>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-links-text-publish" is missing.
32>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-value" is missing.
33>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-example-value" is missing.
34>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-text-value" is missing.
35>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-calm" is missing.
36>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-rules1" is missing.
37>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step1" is missing.
38>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-step1" is missing.
39>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step2" is missing.
40>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-step3" is missing.
41>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-step3" is missing.
42>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-main-publish" is missing.
43>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-references-main-publish" is missing.
44>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-references-text-publish" is missing.
45>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-value" is missing.
46>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-example-value" is missing.
47>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-calm" is missing.
48>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-rules1" is missing.
49>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step1" is missing.
50>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-update-main-step1" is missing.
51>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step2" is missing.
52>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-step2-no-link" is missing.
53>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-main-publish" is missing.
54>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-update-main-publish" is missing.
55>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-update-text-publish" is missing.
56>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-value" is missing.
57>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-calm" is missing.
58>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-rules1" is missing.
59>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step1" is missing.
60>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-expand-main-step1" is missing.
61>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step2" is missing.
62>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-step2-no-link" is missing.
63>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-main-publish" is missing.
64>> The translation of "growthexperiments-help-panel-suggestededits-tips-minerva-visualeditor-expand-main-publish" is missing.
65>> The translation of "growthexperiments-help-panel-suggestededits-tips-vector-visualeditor-expand-text-publish" is missing.
66>> The translation of "growthexperiments-help-panel-general-help-title" is missing.
67>> The translation of "growthexperiments-help-panel-suggested-edits-faq-link-text" is missing.
68>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-visualeditor" is missing.
69>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-visualeditor-link-text" is missing.
70>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-wikitext" is missing.
71>> The translation of "growthexperiments-help-panel-suggested-edits-switch-editor-to-wikitext-link-text" is missing.

(a couple of these are optional, but most aren't)

Translation of the documentation pages on mediawiki.org is 27% complete (one page is 97% translated, one page 11%, the other two 0%).

For the help desk page (pages where help panel questions are directed) three options were listed, I chose ویکی‌پدیا:پرسش‌ها because that seemed the most appropriate, but correct me if you'd like to use a different one.

The page seems slightly outdated. I try to clean it up a bit.

The help panel links need link captions. I tried to guess them by using the name of each page, but since I can't speak Farsi that probably wouldn't work too well. Here's what the list would look like with the config as I wrote it; @Ladsgroup please let me know what the correct link captions should be.

Sure

Correct!

Correct.

Correct \o/

Correct :D

Correct :P

I posted the message, let's see how it goes.

Thanks!

Finally, @Ladsgroup could you make sure that https://fa.wikipedia.org/wiki/%D9%85%D8%AF%DB%8C%D8%A7%D9%88%DB%8C%DA%A9%DB%8C:NewcomerTasks.json is up to date? Some of the templates there mismatch with the Wikidata IDs in the task description, and none of them have "learnmore" links. That might be fine, but it's worth double-checking that it's correct.

Change 609885 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Persian to language list

https://gerrit.wikimedia.org/r/609885

@Ladsgroup -- I wanted to check in about this. I still see about 50 messages that need to be translated, so I'm wondering if you could ping the translators again. Also @Catrope has a question above:

Thanks!

Finally, @Ladsgroup could you make sure that https://fa.wikipedia.org/wiki/%D9%85%D8%AF%DB%8C%D8%A7%D9%88%DB%8C%DA%A9%DB%8C:NewcomerTasks.json is up to date? Some of the templates there mismatch with the Wikidata IDs in the task description, and none of them have "learnmore" links. That might be fine, but it's worth double-checking that it's correct.

@Ladsgroup -- I wanted to check in about this. I still see about 50 messages that need to be translated, so I'm wondering if you could ping the translators again. Also @Catrope has a question above:

Thanks!

Finally, @Ladsgroup could you make sure that https://fa.wikipedia.org/wiki/%D9%85%D8%AF%DB%8C%D8%A7%D9%88%DB%8C%DA%A9%DB%8C:NewcomerTasks.json is up to date? Some of the templates there mismatch with the Wikidata IDs in the task description, and none of them have "learnmore" links. That might be fine, but it's worth double-checking that it's correct.

I posted it on the WP:VP and people are still translating, it's still a lot of messages to translate.

I will check the json page and fix it (I made them using the cswiki version. I'll try to clean up and fix it).

Hi @Ladsgroup -- I just looked at your WP:VP post via Google Translate, and I just want to clarify something. The only thing that we definitely need is the first bullet point (پایان ترجمه افزونه). The other ones do not block deploment.

Hi @Ladsgroup -- I just looked at your WP:VP post via Google Translate, and I just want to clarify something. The only thing that we definitely need is the first bullet point (پایان ترجمه افزونه). The other ones do not block deploment.

Oh thanks. I hope to get it done soon.

So far translated twenty messages. I'll try to work more on them soon.

Translations are 100% done, we need to wait for translatewiki bot to update the extension and then it will get deployed and then we can enable it. In the mean time, I clean up other small bits and pieces (like NewcomerTasks.json )

Is today the deployment day on Farsi Wikipedia? :)

Yes but amazingly, one of the set of translations made into the train and the other didn't:

:(

Shall we deploy this on Thursday after the train, in the evening backport window (23:00 UTC)?

Shall we deploy this on Thursday after the train, in the evening backport window (23:00 UTC)?

That sounds good, I'm a little worried that train might be blocked or rolled back but let's hope that doesn't happen.

OK, I'll schedule this for that time, and then if the train does get delayed we can postpone it to Monday.

Catrope set Due Date to Jul 31 2020, 6:00 AM.Jul 29 2020, 12:57 AM
Catrope changed Due Date from Jul 31 2020, 6:00 AM to Jul 30 2020, 11:00 PM.

Change 609893 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments on Persian Wikipedia

https://gerrit.wikimedia.org/r/609893

Change 617441 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Revert "Enable GrowthExperiments on Persian Wikipedia"

https://gerrit.wikimedia.org/r/617441

Change 617441 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Enable GrowthExperiments on Persian Wikipedia"

https://gerrit.wikimedia.org/r/617441

Change 617442 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable GrowthExperiments on Persian Wikipedia

https://gerrit.wikimedia.org/r/617442

The train did get rolled back (twice). Apologies for the Gerrit noise, I didn't realize the train had been rolled back (the second time) until after I merged the change, so I had to revert it and make a new one.

Rescheduled for Monday August 3rd at 23:00 UTC.

Catrope changed Due Date from Jul 30 2020, 11:00 PM to Aug 3 2020, 11:00 PM.Jul 30 2020, 11:07 PM

Change 617442 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments on Persian Wikipedia

https://gerrit.wikimedia.org/r/617442

Mentioned in SAL (#wikimedia-operations) [2020-08-03T23:14:19Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable GrowthExperiments on fawiki (T253291) (duration: 00m 59s)

This was deployed about an hour ago, but I forgot to comment here :) everything seems to be working as far as I can tell.

Etonkovidova added a subscriber: Etonkovidova.

Moving to PM review - checked - no issues;

MMiller_WMF closed this task as Resolved.Aug 4 2020, 11:15 PM

Thank you!

Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Aug 4 2020, 11:15 PM

Change 618866 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Use a new page for mentor list in fawiki

https://gerrit.wikimedia.org/r/618866

Change 618866 merged by jenkins-bot:
[operations/mediawiki-config@master] Use a new page for mentor list in fawiki

https://gerrit.wikimedia.org/r/618866

Mentioned in SAL (#wikimedia-operations) [2020-08-06T23:04:37Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Change GrowthExperiments mentor list on fawiki (T253291) (duration: 00m 59s)